# Import des bibliothèques
import wave
import os
import math


######################################################
# Paramètres du son généré
######################################################
# Nom du fichier à créer
nomFichier = 'intervalle.wav'
# Ouverture fichier en écriture
monSon = wave.open(nomFichier, 'w')
# Son monophonique (un seul canal)
nbCanal = 1
# Chaque échantillon est quantifié sur 1 octet (8 bits)
nbOctet = 1
# Fréquence d'échantillonnage à 44,1 kHz
fech = 44100
# Durée (en s)
duree = 2
# Nombre de points (un son d'une seconde comporte 44100 points)
nb_points = int(duree*fech)


parametres = (nbCanal, nbOctet, fech, nb_points, 'NONE', 'not compressed')
monSon.setparams(parametres)
######################################################



######################################################
# Fréquences des notes (en Hz) – À COMPLÉTER
######################################################
fDo3 = 261.63
fDo3Diese =
fRe3 =
fRe3Diese =
fMi3 =
fFa3 =
fFa3Diese =
fSol3 =
fSol3Diese =
fLa3 =
fLa3Diese =
fSi3 =
fDo4 =


print(fDo3, fDo3Diese, fRe3, fRe3Diese, fMi3, fFa3, fFa3Diese, fSol3, fSol3Diese, fLa3, fLa3Diese, fSi3, fDo4)
######################################################



######################################################
# Son joué – À MODIFIER
######################################################
A = 1   # amplitude

# Création du son
for i in range(nb_points):
    val = wave.struct.pack('B',int(64*(1 + A*math.sin(2*math.pi*fDo3*i/fech)) + 64*(1 + A*math.sin(2*math.pi*fFa3*i/fech))))
    monSon.writeframes(val)
######################################################  



######################################################
# Fermeture puis lecture du fichier intervalle.wav
######################################################
monSon.close()
os.system("start intervalle.wav")
######################################################